Package org.opencv.xfeatures2d

## Class TBMR

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.features.Feature2D
    - - org.opencv.xfeatures2d.AffineFeature2D
      - - org.opencv.xfeatures2d.TBMR

-     public class TBMR
      extends AffineFeature2D

  Class implementing the Tree Based Morse Regions (TBMR) as described in CITE: Najman2014 extended with scaled extraction ability. min_area prune areas smaller than minArea max_area_relative prune areas bigger than maxArea = max_area_relative * input_image_size scale_factor scale factor for scaled extraction. n_scales number of applications of the scale factor (octaves). Note: This algorithm is based on Component Tree (Min/Max) as well as MSER but uses a Morse-theory approach to extract features. Features are ellipses (similar to MSER, however a MSER feature can never be a TBMR feature and vice versa).

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `TBMR​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static TBMR` | `__fromPtr__​(long addr)` |
    `static TBMR` | `create()` |
    `static TBMR` | `create​(int min_area)` |
    `static TBMR` | `create​(int min_area, float max_area_relative)` |
    `static TBMR` | `create​(int min_area, float max_area_relative, float scale_factor)` |
    `static TBMR` | `create​(int min_area, float max_area_relative, float scale_factor, int n_scales)` |
    `protected void` | `finalize()` |
    `java.lang.String` | `getDefaultName()` | Returns the algorithm string identifier.
    `float` | `getMaxAreaRelative()` |
    `int` | `getMinArea()` |
    `int` | `getNScales()` |
    `float` | `getScaleFactor()` |
    `void` | `setMaxAreaRelative​(float maxArea)` |
    `void` | `setMinArea​(int minArea)` |
    `void` | `setNScales​(int n_scales)` |
    `void` | `setScaleFactor​(float scale_factor)` |

    - ### Methods inherited from class org.opencv.features.Feature2D

      `compute, compute, defaultNorm, descriptorSize, descriptorType, detect, detect, detect, detect, detectAndCompute, detectAndCompute, empty, read, write`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TBMR

          protected TBMR​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static TBMR __fromPtr__​(long addr)

    - #### create

          public static TBMR create​(int min_area,
                                    float max_area_relative,
                                    float scale_factor,
                                    int n_scales)

    - #### create

          public static TBMR create​(int min_area,
                                    float max_area_relative,
                                    float scale_factor)

    - #### create

          public static TBMR create​(int min_area,
                                    float max_area_relative)

    - #### create

          public static TBMR create​(int min_area)

    - #### create

          public static TBMR create()

    - #### setMinArea

          public void setMinArea​(int minArea)

    - #### getMinArea

          public int getMinArea()

    - #### setMaxAreaRelative

          public void setMaxAreaRelative​(float maxArea)

    - #### getMaxAreaRelative

          public float getMaxAreaRelative()

    - #### setScaleFactor

          public void setScaleFactor​(float scale_factor)

    - #### getScaleFactor

          public float getScaleFactor()

    - #### setNScales

          public void setNScales​(int n_scales)

    - #### getNScales

          public int getNScales()

    - #### getDefaultName

          public java.lang.String getDefaultName()

      Description copied from class: `Algorithm`
      Returns the algorithm string identifier. This string is used as top level xml/yml node tag when the object is saved to a file or string.
      Overrides:
        `getDefaultName` in class `Feature2D`
      Returns:
        automatically generated

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `AffineFeature2D`
      Throws:
        `java.lang.Throwable`